<template>
  <table style="width: 500px; text-align: center; margin: 0 auto">
    <tbody>
    <tr v-for="(row, rowIndex) in stock" :key="rowIndex">
      <VendingMachineSlot
          v-for="(slot, columnIndex) in row"
          :key="rowIndex.toString() + ':' + columnIndex.toString()"
          :product="slot.product"
          :quantity="slot.quantity"
          :slot-index="rowIndex.toString() + ':' + columnIndex.toString()"
          :accepted-money="acceptedMoney"
          @machine:purchased="data => $emit('machine:purchased', data)"
      />
    </tr>
    </tbody>
  </table>
</template>

<script>
import VendingMachineSlot from './StockSlot';

export default {
  name: 'VendingMachineStock',
  components: {VendingMachineSlot},
  props: {
    stock: {
      type: Array,
      required: true,
    },
    acceptedMoney: {
      type: Array,
      default() {
        return [];
      },
    },
  },
};
</script>

<style scoped>
table {
  border-collapse: collapse;
  width: 50%;
}

table td {
  padding: 5px 10px;
  border: 1px solid;
  text-align: center;
}
</style>
